/*
 * MINIGUI - Harbour Win32 GUI library Demo
 *
 * Copyright 2002-2010 Roberto Lopez <harbourminigui@gmail.com>
 * http://harbourminigui.googlepages.com/
 *
 * Copyright 2006-2019 Grigory Filatov <gfilatov@gmail.com>
*/

#include "hmg.ch"
/*
*/
Function Main

	DEFINE WINDOW Form_Main ;
		WIDTH 640 HEIGHT 480 ;
		TITLE 'Main Window' ;
		MAIN ;
		NOSHOW ;
		ON INIT ShowSplash()

	END WINDOW

	INIT SPLASH WINDOW

	CENTER WINDOW Form_Main

	ACTIVATE WINDOW Form_Main

Return Nil
/*
*/
Procedure ShowSplash()

	SHOW SPLASH WINDOW ;
		PICTURE 'Splash' ;
		DELAY 3 ;
		ON INIT textout() ;
		ON RELEASE Form_Main.SHOW

Return
/*
*/
DECLARE WINDOW _HMG_SPLASHWINDOW
/*
*/
Procedure textout()
LOCAL hDC, BTstruct
LOCAL hBitmap, hBitmap_aux
LOCAL nTypeText
LOCAL nAlingText
LOCAL nOrientation
LOCAL nW := BT_BitmapWidth(_HMG_SPLASHWINDOW.IMAGE.hBitmap)
LOCAL nH := BT_BitmapHeight(_HMG_SPLASHWINDOW.IMAGE.hBitmap)

   // Create bitmap in memory
   hBitmap := BT_BitmapCreateNew (nW, nH, WHITE)

   // Create hDC to a bitmap
   hDC := BT_CreateDC (hBitmap, BT_HDC_BITMAP, @BTstruct)     

     // Paste image
     hBitmap_aux := BT_BitmapLoadFile ("Splash")  // load from resource
        BT_DrawBitmapTransparent (hDC, 0, 0, nW, nH, BT_SCALE, hBitmap_aux, NIL)
     BT_BitmapRelease (hBitmap_aux)

     // Draw Text
     nTypeText    := BT_TEXT_TRANSPARENT + BT_TEXT_BOLD + BT_TEXT_ITALIC
     nAlingText   := BT_TEXT_LEFT + BT_TEXT_TOP
     nOrientation := BT_TEXT_NORMAL_ORIENTATION
     BT_DrawText (hDC, 450, 350, "EXTENDED", "Times New Roman", 18, BLACK, WHITE, nTypeText, nAlingText, nOrientation)

   // Release hDC bitmap
   BT_DeleteDC (BTstruct)

   _HMG_SPLASHWINDOW.IMAGE.hBitmap := hBitmap
   _HMG_SPLASHWINDOW.IMAGE.Refresh()

Return
